### Hierarchy

- unknown
  - StorageEntryWrapper

## Index

### Constructors

- constructor

### Methods

- clearProtectedMailboxStorageEntry
- clearProtectedStorageEntry
- getMessageCase
- getProtectedMailboxStorageEntry
- getProtectedStorageEntry
- hasProtectedMailboxStorageEntry
- hasProtectedStorageEntry
- serializeBinary
- setProtectedMailboxStorageEntry
- setProtectedStorageEntry
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new StorageEntryWrapper(): StorageEntryWrapper

- Inherited from jspb.Message.constructor

  #### Returns StorageEntryWrapper

## Methods

### clearProtectedMailboxStorageEntry

- clearProtectedMailboxStorageEntry(): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2567

  #### Returns StorageEntryWrapper

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2562

  #### Returns StorageEntryWrapper

### getMessageCase

- getMessageCase(): StorageEntryWrapper . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:2569

  #### Returns StorageEntryWrapper . MessageCase

### getProtectedMailboxStorageEntry

- getProtectedMailboxStorageEntry(): undefined | ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2564

  #### Returns undefined | ProtectedMailboxStorageEntry

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2559

  #### Returns undefined | ProtectedStorageEntry

### hasProtectedMailboxStorageEntry

- hasProtectedMailboxStorageEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2566

  #### Returns boolean

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2561

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2571

  #### Returns Uint8Array

### setProtectedMailboxStorageEntry

- setProtectedMailboxStorageEntry(value?: ProtectedMailboxStorageEntry ): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2565

  #### Parameters

  - ##### Optional value: ProtectedMailboxStorageEntry

  #### Returns StorageEntryWrapper

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedStorageEntry ): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2560

  #### Parameters

  - ##### Optional value: ProtectedStorageEntry

  #### Returns StorageEntryWrapper

### toObject

- toObject(includeInstance?: boolean): StorageEntryWrapper . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2572

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns StorageEntryWrapper . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2575

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StorageEntryWrapper

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StorageEntryWrapper, reader: BinaryReader): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:2576

  #### Parameters

  - ##### message: StorageEntryWrapper

  - ##### reader: BinaryReader

  #### Returns StorageEntryWrapper

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: StorageEntryWrapper, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2574

  #### Parameters

  - ##### message: StorageEntryWrapper

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: StorageEntryWrapper ): StorageEntryWrapper . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2573

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StorageEntryWrapper

  #### Returns StorageEntryWrapper . AsObject

Generated using TypeDoc